<div class="container" [ngStyle]="{'background': 'radial-gradient(' + (backgroundColor$ | async) + ')'}" [ngClass]="{'dark': settingDarkModeEnabled }">
  <div *ngIf="settingDarkModeEnabled" class="dark-background"></div>  
  <div class="content-wrapper">
      <div class="logo">
        <svg-icon src="/assets/icons/blueberry.svg" [svgStyle]="{'width.px': 75, 'height.px': 75, 'fill': 'white'}"></svg-icon>
        <p>SZEDER</p>
      </div>
      <div class="choice-container">
        <div class="input-wrapper">
          <p class="auto-complete">{{ autoCompleteText }}</p>
          <input type="text" placeholder="Type in a city name" #search>
          <!--form [formGroup]="searchForm" (submit)="submitSearch()">
            <input type="text" formControlName="search" placeholder="Type in a city name">
          </form-->
        </div>
        <p class="or">or</p>
        <div class="location-button" (click)="requestLocation()">
          <svg-icon src="/assets/icons/compass.svg" [svgStyle]="{'width.px': 19, 'height.px': 19, 'fill': 'white'}"></svg-icon>
          <p>Use current location</p>
        </div>
      </div>
      <p class="hint">Hint: You can use 
        <svg-icon src="/assets/icons/enter.svg" [svgStyle]="{'width.px': 23, 'height.px': 23, 'fill': '#B7DAFF'}" class="aspan"></svg-icon>
        to finalize your search.</p>
    </div>
    <div class="favorites-wrapper" *ngIf="favorites.length !== 0">
      <p class="favorites-title">FAVORITES</p>
      <drag-scroll drag-scroll-y-disabled="true" scrollbar-hidden="true" class="card-wrapper">
        <div class="card" *ngFor="let city of favorites; let index = index" drag-scroll-item>
          <svg-icon (click)="deleteFavorite(city.name, index)" class="heart" src="/assets/icons/heart.svg" [svgStyle]="{'width.px': 25, 'height.px': 25, 'fill': '#FF7A7A'}"></svg-icon>
          <p class="city-name" (click)="submitSearch(city)">{{ city.name }}</p>
          <p class="see-more" (click)="submitSearch(city)">See weather ></p>
        </div>
      </drag-scroll>
    </div>
</div>